一个坑

composer PHP时代

1、安装composer

网上已经有很多安装教程了,这里就全局安装

$ curl -sS https://getcomposer.org/installer | php
$ mv composer.phar /usr/local/bin/composer

2、修改配置,使用中国镜像

先找到config文件

$ sudo composer config -l -g

QQ截图20140911093522

修改配置文件

$ sudo vim /root/.composer/config.json

增加镜像地址

{
“repositories”: [
{“type”: “composer”, “url”: “http://pkg.phpcomposer.com/repo/packagist/"},
{“packagist”: false}
]
}

修改完成,保存退出
QQ图片20140911094657

3、更新composer

$ composer self-update

4、创建自己的composer项目

# 创建项目目录
$ mkdir project
$ cd project

增加依赖引入swoole_framework框架包,当然也可以是其他包

$ composer require “matyhtf/swoole_framework:dev-master”

5、创建自己的依赖包

先在https://packagist.org上注册一个账号
packgist支持 Git/Svn/Hg 3种版本控制
QQ截图20140911100831

QQ图片20140911100956

packagist会自动检测项目地址下的composer.json文件,然后帮你上传到它的服务器,非常简单

上传上去之后,自己就可以依赖自己扩展包了

参考链接

http://www.phpcomposer.com/
http://pkg.phpcomposer.com/
https://packagist.org/